/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.fleet.model;

import org.openide.filesystems.FileObject;

/**
 *
 * @author Wytse Visser
 */
public interface FleetManager {
    
    static final String FLEET_DIR = "Fleet";
        /**
     * Load a PartField from a file object
     *
     * @param fileObject
     * @return
     */
    Fleet load(FileObject fileObject);

    /**
     *
     * @param Fleet
     * @param fileObject
     */
    void save(Fleet fleet, FileObject fileObject);
}
